List the caller's outbound send drafts
curl --request GET \
--url https://api-v2.watchcollect.com/v2/outbound/drafts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/outbound/drafts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/outbound/drafts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_user_id": "<string>",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_name": "<string>",
"session_label": "<string>",
"group_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"text": "<string>",
"media": [
{
"url": "https://watchatic-media.example/outbound/org_123/watch.jpg",
"mimetype": "image/jpeg",
"filename": "watch.jpg",
"sha256": "9a0364b9e99bb480dd25e1f0284c8555",
"size_bytes": 238991,
"storage_key": "outbound/org_123/20260511T025700.000-watch.jpg"
}
],
"created_at_ms": 123,
"updated_at_ms": 123,
"schedule": {
"first_run_at_ms": 1777809600000,
"interval_ms": 3600000,
"max_occurrences": 3
}
}
]
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}outbound
List the caller's outbound send drafts
Returns user-scoped composer drafts for the authenticated workspace. Drafts are isolated by actor user id; workspace admins do not see other users’ drafts.
GET
/
v2
/
outbound
/
drafts
List the caller's outbound send drafts
curl --request GET \
--url https://api-v2.watchcollect.com/v2/outbound/drafts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/outbound/drafts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/outbound/drafts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_user_id": "<string>",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_name": "<string>",
"session_label": "<string>",
"group_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"text": "<string>",
"media": [
{
"url": "https://watchatic-media.example/outbound/org_123/watch.jpg",
"mimetype": "image/jpeg",
"filename": "watch.jpg",
"sha256": "9a0364b9e99bb480dd25e1f0284c8555",
"size_bytes": 238991,
"storage_key": "outbound/org_123/20260511T025700.000-watch.jpg"
}
],
"created_at_ms": 123,
"updated_at_ms": 123,
"schedule": {
"first_run_at_ms": 1777809600000,
"interval_ms": 3600000,
"max_occurrences": 3
}
}
]
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}